<?php
/*
Template Name: Youtube Videos
*/
?>

<?php get_template_part( 'content', 'before' ); ?>

						<div class="post entry clearfix">

							<?php the_post(); $content = get_the_content(); ?>

							<h1 class="page-title entry-title" id="post-<?php the_ID(); ?>"><?php the_title(); ?></h1>

							<?php if ( ! empty( $content ) ) : ?>
								<div class="content">
									<?php the_content(); ?>
								</div>
							<?php endif; ?>

							<?php
								$ytfeed = convertYoutubeRssUrl(get_post_meta( $post->ID, 'ytfeed', true ));
								if ($ytfeed && $ytfeed != '') {
							?>

							<div class="featured videos yt-temp">

								<div class="container youtubepage-container clearfix">

									<div id="featured-yt-vids-page" class="flexslider">

										<ul class="slides">

                                        <?php
										    $count = 1;
										    // Get RSS Feed(s)
										    @include_once(ABSPATH . WPINC . '/rss.php');
										    $rss = @fetch_feed($ytfeed);
										    //set number of items to display
										    $limit = 9999;
										    foreach (@$rss->get_items(0, $limit) as $item) :
											    $id = @substr(@$item->get_id(), 9);
									    ?>

											    <li id="feature-yt-vid-<?php echo $count; ?>">
												    <div class="feature-video">
													    <div class="video">
														    <iframe width="300" height="250"
														            src="//www.youtube.com/embed/<?php echo @$id; ?>?enablejsapi=1&version=3&playerapiid=ytplayer"
														            frameborder="0" allowfullscreen></iframe>
													    </div>
												    </div>
											    </li>

										    <?php $count = $count + 1; endforeach; ?>

										</ul>

									</div>

									<div class="controls-container clearfix">

										<ul class="flexslide-custom-controls youtubepage-custom-controls clearfix">

    											<?php
    												$count = 1;
    												// Get RSS Feed(s)
    												@include_once(ABSPATH . WPINC . '/rss.php');
      												$rss = @fetch_feed($ytfeed);
												//set number of items to display
    												$limit = 9999;
    												foreach (@$rss->get_items(0, $limit) as $item ) :
															$title = $item->get_title();

															if ($enclosure = $item->get_enclosure()) {
																?>

																<li class="clearfix" onclick="location.href='#content';">
																	<a class="clearfix" href="#" title="<?php echo $title ?>">
																		<img class="yt-thumb" src="<?php echo $enclosure->get_thumbnail(); ?>"
																				 alt="<?php echo $title ?>" title="<?php echo $title ?>"/>
																		<span class="yt-title"><?php echo $title ?></span>
																	</a>
																</li>

																<?php if ($count % 3 == 0) { ?>
																	<li class="clear-row"></li>
																<?php } ?>

																<?php $count = $count + 1;
															}
														endforeach; ?>

										</ul>

									</div>

								</div>

							</div>

						<?php }?>

						</div>

<?php get_template_part( 'content', 'after' ); ?>

<script type="text/javascript">
	(function($){

		$(document).ready(function(){

			$('#featured-yt-vids-page').flexslider({
				slideshow: false,
				directionNav:false,
				manualControls: '.youtubepage-custom-controls li a',
				controlsContainer: '.youtubepage-container',
				before: function(){
					var vids = $('#featured-yt-vids-page iframe');
					vids.each(function(){
						$(this)[0].contentWindow.postMessage('{"event":"command","func":"' + 'stopVideo' + '","args":""}', '*');
					});
				}
			});
		});

	})(jQuery);
</script>
